ddcutil (2.2.3-1) plucky; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 13 Nov 2025 05:00:00 -0400

ddcutil (2.2.1-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 09 Jul 2025 05:00:00 -0400

ddcutil (2.2.0-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 16 Feb 2025 05:00:00 -0400

ddcutil (2.1.4-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 16 Jun 2024 05:00:00 -0400

ddcutil (2.1.3-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 07 Feb 2024 05:00:00 -0400

ddcutil (2.1.2-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 26 Jan 2024 05:00:00 -0400

ddcutil (2.1.0-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 11 Jan 2024 05:00:00 -0400

ddcutil (2.0.0-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 19 Sep 2023 05:00:00 -0400

ddcutil (1.4.2-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 17 Feb 2023 05:00:00 -0400

ddcutil (1.4.1-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 17 Jan 2023 05:00:00 -0400

ddcutil (1.4.0-1) bionic; urgency=medium

  * New upstream release

  * Install /usr/lib/udev/rules.d/60-ddcutil.rules
    - uses uaccess tag to grant current user read/write access to
      /dev/i2c devices created by video adapters

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 14 Jan 2023 05:00:00 -0400

ddcutil (1.3.1-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 03 Aug 2022 05:00:00 -0400

ddcutil (1.3.0-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 22 Jul 2022 05:00:00 -0400

ddcutil (1.2.2-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 27 Jan 2022 05:00:00 -0400

ddcutil (1.2.1-1) bionic; urgency=medium

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 31 Oct 2021 05:00:00 -0400

ddcutil (1.2.0-1) bionic; urgency=medium

  * New upstream release

  * debian/control
    - add Build-Depends: libi2c-dev (>= 4.0)
    - add Build_Depends: libkmod-dev
    - package ddcutil: specify version >= 4.0 for Depends: i2c-tools
    - Homepage: use https instead of http in URL
    - Standards-Version: increment to 4.6.0

  * debian/copyright
    - conform to copyright format 1.0

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 01 Oct 2021 05:00:00 -0400

ddcutil (1.1.0-1) bionic; urgency=low

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 27 Mar 2021 09:00:00 -0400

ddcutil (1.0.1-1) bionic; urgency=low

  * New upstream release

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 08 Feb 2021 09:00:00 -0400

ddcutil (1.0.0-1) bionic; urgency=low

  * New upstream release

  * debian/control:
    - replace libddcutil3 with libddcutil4
    - increment policy version to 4.5.1

  * debian/libddcutil*
    - files libddcutil4* replace libddcutil3*

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 27 Jan 2021 09:00:00 -0400

ddcutil (0.9.9-1) bionic; urgency=low

  * New upstream release

  * debian/compat:
    - change version to 12

  * debian/control:
    - add Rules-Requires-Root: no
    - replace libddcutil2 with libddcutil3

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 21 Jun 2020 09:00:00 -0400

ddcutil (0.9.8-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 05 Dec 2019 05:01:00 -0400

ddcutil (0.9.7-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 03 Sep 2019 05:01:00 -0400

ddcutil (0.9.6-2) xenial; urgency=low

  * Bump release number for resubmission

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 11 Aug 2019 05:01:00 -0400

ddcutil (0.9.6-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 11 Aug 2019 05:01:00 -0400

ddcutil (0.9.5-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 24 Feb 2019 05:01:00 -0400

ddcutil (0.9.4-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 25 Dec 2018 05:01:00 -0400

ddcutil (0.9.3-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 24 Nov 2018 05:01:00 -0400

ddcutil (0.9.2-1) xenial; urgency=low

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 01 Sep 2018 05:01:00 -0400

ddcutil (0.9.1-1) xenial; urgency=low

  * Minor bug fix.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 26 May 2018 05:01:00 -0400


ddcutil (0.9.0-1) xenial; urgency=low

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 10 May 2018 05:01:00 -0400

ddcutil (0.8.6-1) xenial; urgency=low

  * New upstream release.  See http://www.ddcutil.com/release_notes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 11 Aug 2019 05:01:00 -0400

ddcutil (0.8.5-1) xenial; urgency=low

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 16 Nov 2017 05:01:00 -0400

ddcutil (0.8.4-1) xenial; urgency=low

  * Packaging changes to conform to Fedora distribution standards.

  * Minor changes and bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 22 Jul 2017 05:01:00 -0400


ddcutil (0.8.2-1) xenial; urgency=low

  * The environment and interrogate commands report additional information.

  * Minor performance improvement in detect.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 17 May 2017 05:01:00 -0400

ddcutil (0.8.1-1) xenial; urgency=low

  * Fix segfault in message generation when a /dev/usb/hiddev device cannot
    be opened.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 06 May 2017 21:01:00 -0400


ddcutil (0.8.0-6) unstable; urgency=low

  * Bump Debian release for debian-mentors

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:06:00 -0400

ddcutil (0.8.0-5) unstable; urgency=low

  * Bump Debian release for debian-mentors

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:05:00 -0400

ddcutil (0.8.0-4) unstable; urgency=low

  * Bump Debian release because of failed debian-mentors upload

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:04:00 -0400

ddcutil (0.8.0-3) unstable; urgency=low

  * Bump Debian release because of failed debian-mentors upload

  * Changed xenial to unstable

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:01:00 -0400

ddcutil (0.8.0-2) xenial; urgency=low

  * Bump Debian release because of failed debian-mentors upload

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 01 May 2017 05:00:00 -0400

ddcutil (0.8.0-1) xenial; urgency=low

  * If there are multiple monitors and option --async is specified, initial
    monitor checks are performed in separate threads to improve performance.

  * If a monitor is specified by its I2C bus number (option --buso) and
    option --nodetect is also specified, then the initial scan for all
    displays is skipped, improving performance.

  * By default, setvcp and loadvcp now read the VCP value after it has been
    set, to confirm that the monitor has made the change requested.

  * Using the --terse option with getvcp causes output to be in a form that
    is easily machine readable.

  * Extensive changes to the C API.

  * Minor bug fixes.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 27 Apr 2017 05:00:00 -0400

ddcutil (0.7.3-1) xenial; urgency=low

  * Enhancements to commands "ddcutil detect --verbose" and
    "ddcutil environment --verbose"

  * configure option --enable-drm controls whether libdrm is used to perform
    addtitional checks in "ddcutil environment --verbose"

  * Improved error messages

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sun, 05 Mar 2017 05:00:00 -0400

ddcutil (0.7.2-1) xenial; urgency=low

  * Fix bug causing termination if a /dev/i2c-n device cannot be opened,
    e.g. because of permissions

  * Minor enhancements to environment and interrogate commands

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 01 Feb 2017 05:00:00 -0400

ddcutil (0.7.1-1) xenial; urgency=low

  * Add command option --force-slave-address

  * Fix segfault in output of --stats

  * Autotools changes for supporting Python 3 API

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 27 Jan 2017 13:00:00 -0400

ddcutil (0.7.0-1) xenial; urgency=low

  * Introduce shared libraries

  * ddcutil probe command

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 02 Jan 2017 20:00:00 -0400

ddcutil (0.6.1-1) xenial; urgency=low

  * Improve diagnostics for exceptional conditions

  * Extensive changes in preparation for C and Python APIs

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 19 Nov 2016 20:00:00 -0400

ddcutil (0.6.0-1) xenial; urgency=low

  *  Rename ddctool to ddcutil

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 24 Sep 2016 02:00:25 -0400

ddcutil (0.5.0-1) xenial; urgency=low

  * Extensive rework of support for USB connected monitors.
    New command **ddctool usbenv** to explore USB environment..

  * Remove assumption that I2C buses are numbered consecutively.
    Needed for Raspberry Pi.

  * Allow a display identifier to be specified on command **ddctool loadvcp**..
    Addresses the situation where a monitor provides both DDC and USB interfaces.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 9 Sep 2016 12:00:00 -0500
